Author Topic: WebsiteBaker version 2.8.3+SP7 (stable) published  (Read 2847 times)

Offline DarkViper

  • Core Development
  • *****
  • Posts: 2894
  • Gender: Female
WebsiteBaker version 2.8.3+SP7 (stable) published
« on: August 06, 2016, 12:56:11 AM »
Dear WebsiteBaker Users

From now on WebsiteBaker version 2.8.3 including Service Pack 7 is ready for download.

* Depending on the large amount of changes we do without a separate service package SP7 and provide only a complete package from WB-2.8.3+SP7

* This package is suitable for both new installations and upgrades

* Requirements:

  • minimum PHP-5.3.6 (PHP-5.6 and up is highly recommended!)
  • Upgrade is possible from any version of WB-2.8.3 only! (for older versions first upgrade to WB-2.8.3 witch you can get from WB-Wiki or  from Addon-Repositority!!)
The new installation package can be downloaded as usual from the download section of the Wiki or from the Addon-Repository.

WebsiteBaker 2.8.3+SP7 is fully compatible to PHP 7 now.
(take care: not all third party addons are PHP-7 ready!!)

From SP6 to SP7 therefore were some improvements and plenty of important security fixes and other fixes made in the Code. But to keep this topic clear and readable we will omit their specifications.
In most of the modules it also was necessary to made a lot of security fixes and bug fixes.

Important changes concerning the templates and themes:
  • Backend: The WB_Theme was removed and replaced by default_theme. This is also capitalized when upgrading.
  • Frontend: For a new installation now the template 'default' is enabled. The previous 'round' is no longer the default. When upgrading the set template is not changed.
(Due to the work effort, it is not possible to revise also third party Templates and Themes as a part of the upgrade)

In addition to all of the fixes some little features where added / modified also.
  • Some templates are rebuild for using the Twig template engine, whitch is delivered with WB from now.
  • It's possible to make use of the class Translate for much easier handling of translations.
  • Most PHP errors now will be logged in an errorlog file for a better troubleshooting.
  • To run the upgrade-script you must be logged in as Superadmin from now.
  • There is no more need to delete the files upgrade-script.php and install.php.
  • The Admins got a 'systeminfo dialogbox' in the backend now.
When you (re)programming modules please check our wiki where many useful and helpful information are available to you.

Many thanks to LuiseHahne, dbs, jacobi22, HGS and all the others who have supported us with endles testing for weeks while WebsiteBaker finish 2.8.3+SP7.

We all wish you much success in your work with Website Baker 2.8.3+SP7

the WebsiteBaker Team
« Last Edit: August 08, 2016, 02:01:34 PM by Luisehahne »
Der blaue Planet - er ist nicht unser Eigentum - wir haben ihn nur von unseren Nachkommen geliehen

"You have to take the men as they are ... but you can not leave them like that !!" :-P
Ein einziger Buchstabendreher kann einen ganzen Satz urinieren.